<?php
require_once ('com/gmo_pg/client/input/BaseInput.php');
/**
 * <b>口座直結決済口座登録依頼　入力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage input
 * @see inputPackageInfo.php
 * @author GMO PaymentGateway
 */
class BankDirectRegistInput extends BaseInput {

	/**
	 * @var string サイトID
	 */
	private $siteID;
	/**
	 * @var string サイトパスワード
	 */
	private $sitePass;
	/**
	 * @var string ショップID
	 */
	private $shopID;
	/**
	 * @var string ショップパスワード
	 */
	private $shopPass;
	/**
	 * @var string 会員ID
	 */
	private $memberID;
	/**
	 * @var string 会員名
	 */
	private $memberName;
	/**
	 * @var string 戻り先URL
	 */
	private $retURL;
	/**
	 * @var string 銀行コード
	 */
	private $bankCode;
	/**
	 * @var string 口座名義人名　（姓　カタカナ）
	 */
	private $accountNameLast;
	/**
	 * @var string 口座名義人名　（名　カタカナ）
	 */
	private $accountNameFirst;
	/**
	 * @var string 生年月日
	 */
	private $dateOfBirth;


	/**
	 * コンストラクタ
	 *
	 * @param array $params 入力パラメータ
	 */
	public function __construct($params = null) {
		parent::__construct($params);
	}


	/**
	 * サイトID取得
	 * @return string サイトID
	 */
	public function getSiteID() {
		return $this->siteID;
	}
	/**
	 * サイトパスワード取得
	 * @return string サイトパスワード
	 */
	public function getSitePass() {
		return $this->sitePass;
	}
	/**
	 * ショップID取得
	 * @return string ショップID
	 */
	public function getShopID() {
		return $this->shopID;
	}
	/**
	 * ショップパスワード取得
	 * @return string ショップパスワード
	 */
	public function getShopPass() {
		return $this->shopPass;
	}
	/**
	 * 会員ID取得
	 * @return string 会員ID
	 */
	public function getMemberID() {
		return $this->memberID;
	}
	/**
	 * 会員名取得
	 * @return string 会員名
	 */
	public function getMemberName() {
		return $this->memberName;
	}
	/**
	 * 戻り先URL取得
	 * @return string 戻り先URL
	 */
	public function getRetURL() {
		return $this->retURL;
	}
	/**
	 * 銀行コード取得
	 * @return string 銀行コード
	 */
	public function getBankCode() {
		return $this->bankCode;
	}
	/**
	 * 口座名義人名　（姓　カタカナ）取得
	 * @return string 口座名義人名　（姓　カタカナ）
	 */
	public function getAccountNameLast() {
		return $this->accountNameLast;
	}
	/**
	 * 口座名義人名　（名　カタカナ）取得
	 * @return string 口座名義人名　（名　カタカナ）
	 */
	public function getAccountNameFirst() {
		return $this->accountNameFirst;
	}
	/**
	 * 生年月日取得
	 * @return string 生年月日
	 */
	public function getDateOfBirth() {
		return $this->dateOfBirth;
	}

	/**
	 * サイトID設定
	 *
	 * @param string $siteID
	 */
	public function setSiteID($siteID) {
		$this->siteID = $siteID;
	}
	/**
	 * サイトパスワード設定
	 *
	 * @param string $sitePass
	 */
	public function setSitePass($sitePass) {
		$this->sitePass = $sitePass;
	}
	/**
	 * ショップID設定
	 *
	 * @param string $shopID
	 */
	public function setShopID($shopID) {
		$this->shopID = $shopID;
	}
	/**
	 * ショップパスワード設定
	 *
	 * @param string $shopPass
	 */
	public function setShopPass($shopPass) {
		$this->shopPass = $shopPass;
	}
	/**
	 * 会員ID設定
	 *
	 * @param string $memberID
	 */
	public function setMemberID($memberID) {
		$this->memberID = $memberID;
	}
	/**
	 * 会員名設定
	 *
	 * @param string $memberName
	 */
	public function setMemberName($memberName) {
		$this->memberName = $memberName;
	}
	/**
	 * 戻り先URL設定
	 *
	 * @param string $retURL
	 */
	public function setRetURL($retURL) {
		$this->retURL = $retURL;
	}
	/**
	 * 銀行コード設定
	 *
	 * @param string $bankCode
	 */
	public function setBankCode($bankCode) {
		$this->bankCode = $bankCode;
	}
	/**
	 * 口座名義人名　（姓　カタカナ）設定
	 *
	 * @param string $accountNameLast
	 */
	public function setAccountNameLast($accountNameLast) {
		$this->accountNameLast = $accountNameLast;
	}
	/**
	 * 口座名義人名　（名　カタカナ）設定
	 *
	 * @param string $accountNameFirst
	 */
	public function setAccountNameFirst($accountNameFirst) {
		$this->accountNameFirst = $accountNameFirst;
	}
	/**
	 * 生年月日設定
	 *
	 * @param string $dateOfBirth
	 */
	public function setDateOfBirth($dateOfBirth) {
		$this->dateOfBirth = $dateOfBirth;
	}


	/**
	 * デフォルト値設定
	 */
	public function setDefaultValues() {

	}

	/**
	 * 入力パラメータ群の値を設定する
	 *
	 * @param IgnoreCaseMap $params 入力パラメータ
	 */
	public function setInputValues($params) {
		// 入力パラメータがnullの場合は設定処理を行わない
	    if (is_null($params)) {
	        return;
	    }

		$this->setSiteID($this->getStringValue($params, 'SiteID', $this->getSiteID()));
		$this->setSitePass($this->getStringValue($params, 'SitePass', $this->getSitePass()));
		$this->setShopID($this->getStringValue($params, 'ShopID', $this->getShopID()));
		$this->setShopPass($this->getStringValue($params, 'ShopPass', $this->getShopPass()));
		$this->setMemberID($this->getStringValue($params, 'MemberID', $this->getMemberID()));
		$this->setMemberName($this->getStringValue($params, 'MemberName', $this->getMemberName()));
		$this->setRetURL($this->getStringValue($params, 'RetURL', $this->getRetURL()));
		$this->setBankCode($this->getStringValue($params, 'BankCode', $this->getBankCode()));
		$this->setAccountNameLast($this->getStringValue($params, 'AccountNameLast', $this->getAccountNameLast()));
		$this->setAccountNameFirst($this->getStringValue($params, 'AccountNameFirst', $this->getAccountNameFirst()));
		$this->setDateOfBirth($this->getStringValue($params, 'DateOfBirth', $this->getDateOfBirth()));

	}

	/**
	 * 文字列表現
	 * @return string 接続文字列表現
	 */
	public function toString() {
		$str ='';
		$str .= 'SiteID=' . $this->encodeStr($this->getSiteID());
		$str .='&';
		$str .= 'SitePass=' . $this->encodeStr($this->getSitePass());
		$str .='&';
		$str .= 'ShopID=' . $this->encodeStr($this->getShopID());
		$str .='&';
		$str .= 'ShopPass=' . $this->encodeStr($this->getShopPass());
		$str .='&';
		$str .= 'MemberID=' . $this->encodeStr($this->getMemberID());
		$str .='&';
		$str .= 'MemberName=' . $this->encodeStr($this->getMemberName());
		$str .='&';
		$str .= 'RetURL=' . $this->encodeStr($this->getRetURL());
		$str .='&';
		$str .= 'BankCode=' . $this->encodeStr($this->getBankCode());
		$str .='&';
		$str .= 'AccountNameLast=' . $this->encodeStr($this->getAccountNameLast());
		$str .='&';
		$str .= 'AccountNameFirst=' . $this->encodeStr($this->getAccountNameFirst());
		$str .='&';
		$str .= 'DateOfBirth=' . $this->encodeStr($this->getDateOfBirth());

	    return $str;
	}


}
?>
