<?php
require_once ('com/gmo_pg/client/input/BaseInput.php');
/**
 * <b>自動売上プラン変更　入力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage input
 * @see inputPackageInfo.php
 * @author GMO PaymentGateway
 */
class ChangeRecurringPlanInput extends BaseInput {

	/**
	 * @var string ショップID
	 */
	private $shopID;
	/**
	 * @var string ショップパスワード
	 */
	private $shopPass;
	/**
	 * @var string プランID
	 */
	private $planID;
	/**
	 * @var string プラン名
	 */
	private $planName;
	/**
	 * @var string プラン説明
	 */
	private $description;
	/**
	 * @var string 課金手段 
	 */
	private $method;
	/**
	 * @var integer 利用金額
	 */
	private $amount;
	/**
	 * @var integer 税送料
	 */
	private $tax;
	/**
	 * @var string 課金月
	 */
	private $chargeMonth;
	/**
	 * @var string 課金基準日
	 */
	private $chargeDay;


	/**
	 * コンストラクタ
	 *
	 * @param array $params 入力パラメータ
	 */
	public function __construct($params = null) {
		parent::__construct($params);
	}


	/**
	 * ショップID取得
	 * @return string ショップID
	 */
	public function getShopID() {
		return $this->shopID;
	}
	/**
	 * ショップパスワード取得
	 * @return string ショップパスワード
	 */
	public function getShopPass() {
		return $this->shopPass;
	}
	/**
	 * プランID取得
	 * @return string プランID
	 */
	public function getPlanID() {
		return $this->planID;
	}
	/**
	 * プラン名取得
	 * @return string プラン名
	 */
	public function getPlanName() {
		return $this->planName;
	}
	/**
	 * プラン説明取得
	 * @return string プラン説明
	 */
	public function getDescription() {
		return $this->description;
	}
	/**
	 * 課金手段 取得
	 * @return string 課金手段 
	 */
	public function getMethod() {
		return $this->method;
	}
	/**
	 * 利用金額取得
	 * @return integer 利用金額
	 */
	public function getAmount() {
		return $this->amount;
	}
	/**
	 * 税送料取得
	 * @return integer 税送料
	 */
	public function getTax() {
		return $this->tax;
	}
	/**
	 * 課金月取得
	 * @return string 課金月
	 */
	public function getChargeMonth() {
		return $this->chargeMonth;
	}
	/**
	 * 課金基準日取得
	 * @return string 課金基準日
	 */
	public function getChargeDay() {
		return $this->chargeDay;
	}

	/**
	 * ショップID設定
	 *
	 * @param string $shopID
	 */
	public function setShopID($shopID) {
		$this->shopID = $shopID;
	}
	/**
	 * ショップパスワード設定
	 *
	 * @param string $shopPass
	 */
	public function setShopPass($shopPass) {
		$this->shopPass = $shopPass;
	}
	/**
	 * プランID設定
	 *
	 * @param string $planID
	 */
	public function setPlanID($planID) {
		$this->planID = $planID;
	}
	/**
	 * プラン名設定
	 *
	 * @param string $planName
	 */
	public function setPlanName($planName) {
		$this->planName = $planName;
	}
	/**
	 * プラン説明設定
	 *
	 * @param string $description
	 */
	public function setDescription($description) {
		$this->description = $description;
	}
	/**
	 * 課金手段 設定
	 *
	 * @param string $method
	 */
	public function setMethod($method) {
		$this->method = $method;
	}
	/**
	 * 利用金額設定
	 *
	 * @param integer $amount
	 */
	public function setAmount($amount) {
		$this->amount = $amount;
	}
	/**
	 * 税送料設定
	 *
	 * @param integer $tax
	 */
	public function setTax($tax) {
		$this->tax = $tax;
	}
	/**
	 * 課金月設定
	 *
	 * @param string $chargeMonth
	 */
	public function setChargeMonth($chargeMonth) {
		$this->chargeMonth = $chargeMonth;
	}
	/**
	 * 課金基準日設定
	 *
	 * @param string $chargeDay
	 */
	public function setChargeDay($chargeDay) {
		$this->chargeDay = $chargeDay;
	}


	/**
	 * デフォルト値設定
	 */
	public function setDefaultValues() {

	}

	/**
	 * 入力パラメータ群の値を設定する
	 *
	 * @param IgnoreCaseMap $params 入力パラメータ
	 */
	public function setInputValues($params) {
		// 入力パラメータがnullの場合は設定処理を行わない
	    if (is_null($params)) {
	        return;
	    }

		$this->setShopID($this->getStringValue($params, 'ShopID', $this->getShopID()));
		$this->setShopPass($this->getStringValue($params, 'ShopPass', $this->getShopPass()));
		$this->setPlanID($this->getStringValue($params, 'PlanID', $this->getPlanID()));
		$this->setPlanName($this->getStringValue($params, 'PlanName', $this->getPlanName()));
		$this->setDescription($this->getStringValue($params, 'Description', $this->getDescription()));
		$this->setMethod($this->getStringValue($params, 'Method', $this->getMethod()));
		$this->setAmount($this->getStringValue($params, 'Amount', $this->getAmount()));
		$this->setTax($this->getStringValue($params, 'Tax', $this->getTax()));
		$this->setChargeMonth($this->getStringValue($params, 'ChargeMonth', $this->getChargeMonth()));
		$this->setChargeDay($this->getStringValue($params, 'ChargeDay', $this->getChargeDay()));

	}

	/**
	 * 文字列表現
	 * @return string 接続文字列表現
	 */
	public function toString() {
		$str ='';
		$str .= 'ShopID=' . $this->encodeStr($this->getShopID());
		$str .='&';
		$str .= 'ShopPass=' . $this->encodeStr($this->getShopPass());
		$str .='&';
		$str .= 'PlanID=' . $this->encodeStr($this->getPlanID());
		$str .='&';
		$str .= 'PlanName=' . $this->encodeStr($this->getPlanName());
		$str .='&';
		$str .= 'Description=' . $this->encodeStr($this->getDescription());
		$str .='&';
		$str .= 'Method=' . $this->encodeStr($this->getMethod());
		$str .='&';
		$str .= 'Amount=' . $this->encodeStr($this->getAmount());
		$str .='&';
		$str .= 'Tax=' . $this->encodeStr($this->getTax());
		$str .='&';
		$str .= 'ChargeMonth=' . $this->encodeStr($this->getChargeMonth());
		$str .='&';
		$str .= 'ChargeDay=' . $this->encodeStr($this->getChargeDay());

	    return $str;
	}


}
?>
