<?php
require_once 'com/gmo_pg/client/input/EntryTranAupayAppAcceptInput.php';
require_once 'com/gmo_pg/client/input/ExecTranAupayAppAcceptInput.php';
/**
 * <b>au PAY（アプリ方式）（随時決済承諾）登録・決済一括実行　入力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage input
 * @see inputPackageInfo.php
 * @author GMO PaymentGateway
 */
class EntryExecTranAupayAppAcceptInput {

	/**
	 * @var EntryTranAupayAppAcceptInput au PAY（アプリ方式）（随時決済承諾）登録入力パラメータ
	 */
	private $entryTranAupayAppAcceptInput;/* @var $entryTranInput EntryTranAupayAppAcceptInput */

	/**
	 * @var ExecTranAupayAppAcceptInput au PAY（アプリ方式）（随時決済承諾）実行入力パラメータ
	 */
	private $execTranAupayAppAcceptInput;/* @var $execTranInput ExecTranAupayAppAcceptInput */

	/**
	 * コンストラクタ
	 *
	 * @param array $params    入力パラメータ
	 */
	public function __construct($params = null) {
		$this->entryTranAupayAppAcceptInput = new EntryTranAupayAppAcceptInput($params);
		$this->execTranAupayAppAcceptInput = new ExecTranAupayAppAcceptInput($params);
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）取引登録入力パラメータ取得
	 *
	 * @return EntryTranAupayAppAcceptInput 取引登録時パラメータ
	 */
	public function &getEntryTranAupayAppAcceptInput() {
		return $this->entryTranAupayAppAcceptInput;
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）実行入力パラメータ取得
	 * @return ExecTranAupayAppAcceptInput 決済実行時パラメータ
	 */
	public function &getExecTranAupayAppAcceptInput() {
		return $this->execTranAupayAppAcceptInput;
	}

	/**
	 * ショップID取得
	 * @return string ショップID
	 */
	public function getShopID() {
		return $this->entryTranAupayAppAcceptInput->getShopID();

	}
	/**
	 * ショップパスワード取得
	 * @return string ショップパスワード
	 */
	public function getShopPass() {
		return $this->entryTranAupayAppAcceptInput->getShopPass();

	}
	/**
	 * オーダーID取得
	 * @return string オーダーID
	 */
	public function getOrderID() {
		return $this->entryTranAupayAppAcceptInput->getOrderID();

	}
	/**
	 * 取引ID取得
	 * @return string 取引ID
	 */
	public function getAccessID() {
		return $this->execTranAupayAppAcceptInput->getAccessID();
	}
	/**
	 * 取引パスワード取得
	 * @return string 取引パスワード
	 */
	public function getAccessPass() {
		return $this->execTranAupayAppAcceptInput->getAccessPass();
	}
	/**
	 * 加盟店自由項目1取得
	 * @return string 加盟店自由項目1
	 */
	public function getClientField1() {
		return $this->execTranAupayAppAcceptInput->getClientField1();
	}
	/**
	 * 加盟店自由項目2取得
	 * @return string 加盟店自由項目2
	 */
	public function getClientField2() {
		return $this->execTranAupayAppAcceptInput->getClientField2();
	}
	/**
	 * 加盟店自由項目3取得
	 * @return string 加盟店自由項目3
	 */
	public function getClientField3() {
		return $this->execTranAupayAppAcceptInput->getClientField3();
	}
	/**
	 * 結果戻り先URL取得
	 * @return string 結果戻り先URL
	 */
	public function getRetURL() {
		return $this->execTranAupayAppAcceptInput->getRetURL();
	}
	/**
	 * 支払開始期限秒取得
	 * @return string 支払開始期限秒
	 */
	public function getPaymentTermSec() {
		return $this->execTranAupayAppAcceptInput->getPaymentTermSec();
	}
	/**
	 * QR決済加盟店名取得
	 * @return string QR決済加盟店名
	 */
	public function getMerchantName() {
		return $this->execTranAupayAppAcceptInput->getMerchantName();
	}
	/**
	 * QR決済店舗名取得
	 * @return string QR決済店舗名
	 */
	public function getStoreName() {
		return $this->execTranAupayAppAcceptInput->getStoreName();
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）取引登録入力パラメータ設定
	 *
	 * @param EntryTranAupayAppAcceptInput entryTranAupayAppAcceptInput  取引登録入力パラメータ
	 */
	public function setEntryTranAupayAppAcceptInput(&$entryTranAupayAppAcceptInput) {
		$this->entryTranAupayAppAcceptInput = $entryTranAupayAppAcceptInput;
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）実行入力パラメータ設定
	 *
	 * @param ExecTranAupayAppAcceptInput  execTranAupayAppAcceptInput   決済実行入力パラメータ
	 */
	public function setExecTranAupayAppAcceptInput(&$execTranAupayAppAcceptInput) {
		$this->execTranAupayAppAcceptInput = $execTranAupayAppAcceptInput;
	}

	/**
	 * ショップID設定
	 *
	 * @param string $shopID
	 */
	public function setShopID($shopID) {
		$this->entryTranAupayAppAcceptInput->setShopID($shopID);
		$this->execTranAupayAppAcceptInput->setShopID($shopID);

	}
	/**
	 * ショップパスワード設定
	 *
	 * @param string $shopPass
	 */
	public function setShopPass($shopPass) {
		$this->entryTranAupayAppAcceptInput->setShopPass($shopPass);
		$this->execTranAupayAppAcceptInput->setShopPass($shopPass);

	}
	/**
	 * オーダーID設定
	 *
	 * @param string $orderID
	 */
	public function setOrderID($orderID) {
		$this->entryTranAupayAppAcceptInput->setOrderID($orderID);
		$this->execTranAupayAppAcceptInput->setOrderID($orderID);

	}
	/**
	 * 取引ID設定
	 *
	 * @param string $accessID
	 */
	public function setAccessID($accessID) {
		$this->execTranAupayAppAcceptInput->setAccessID($accessID);
	}
	/**
	 * 取引パスワード設定
	 *
	 * @param string $accessPass
	 */
	public function setAccessPass($accessPass) {
		$this->execTranAupayAppAcceptInput->setAccessPass($accessPass);
	}
	/**
	 * 加盟店自由項目1設定
	 *
	 * @param string $clientField1
	 */
	public function setClientField1($clientField1) {
		$this->execTranAupayAppAcceptInput->setClientField1($clientField1);
	}
	/**
	 * 加盟店自由項目2設定
	 *
	 * @param string $clientField2
	 */
	public function setClientField2($clientField2) {
		$this->execTranAupayAppAcceptInput->setClientField2($clientField2);
	}
	/**
	 * 加盟店自由項目3設定
	 *
	 * @param string $clientField3
	 */
	public function setClientField3($clientField3) {
		$this->execTranAupayAppAcceptInput->setClientField3($clientField3);
	}
	/**
	 * 結果戻り先URL設定
	 *
	 * @param string $retURL
	 */
	public function setRetURL($retURL) {
		$this->execTranAupayAppAcceptInput->setRetURL($retURL);
	}
	/**
	 * 支払開始期限秒設定
	 *
	 * @param string $paymentTermSec
	 */
	public function setPaymentTermSec($paymentTermSec) {
		$this->execTranAupayAppAcceptInput->setPaymentTermSec($paymentTermSec);
	}
	/**
	 * QR決済加盟店名設定
	 *
	 * @param string $merchantName
	 */
	public function setMerchantName($merchantName) {
		$this->execTranAupayAppAcceptInput->setMerchantName($merchantName);
	}
	/**
	 * QR決済店舗名設定
	 *
	 * @param string $storeName
	 */
	public function setStoreName($storeName) {
		$this->execTranAupayAppAcceptInput->setStoreName($storeName);
	}

}
?>
