<?php
require_once 'com/gmo_pg/client/input/EntryTranAupayAppInput.php';
require_once 'com/gmo_pg/client/input/ExecTranAupayAppInput.php';
/**
 * <b>au PAY（アプリ方式）登録・決済一括実行　入力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage input
 * @see inputPackageInfo.php
 * @author GMO PaymentGateway
 */
class EntryExecTranAupayAppInput {

	/**
	 * @var EntryTranAupayAppInput au PAY（アプリ方式）登録入力パラメータ
	 */
	private $entryTranAupayAppInput;/* @var $entryTranInput EntryTranAupayAppInput */

	/**
	 * @var ExecTranAupayAppInput au PAY（アプリ方式）実行入力パラメータ
	 */
	private $execTranAupayAppInput;/* @var $execTranInput ExecTranAupayAppInput */

	/**
	 * コンストラクタ
	 *
	 * @param array $params    入力パラメータ
	 */
	public function __construct($params = null) {
		$this->entryTranAupayAppInput = new EntryTranAupayAppInput($params);
		$this->execTranAupayAppInput = new ExecTranAupayAppInput($params);
	}

	/**
	 * au PAY（アプリ方式）取引登録入力パラメータ取得
	 *
	 * @return EntryTranAupayAppInput 取引登録時パラメータ
	 */
	public function &getEntryTranAupayAppInput() {
		return $this->entryTranAupayAppInput;
	}

	/**
	 * au PAY（アプリ方式）実行入力パラメータ取得
	 * @return ExecTranAupayAppInput 決済実行時パラメータ
	 */
	public function &getExecTranAupayAppInput() {
		return $this->execTranAupayAppInput;
	}

	/**
	 * ショップID取得
	 * @return string ショップID
	 */
	public function getShopID() {
		return $this->entryTranAupayAppInput->getShopID();

	}
	/**
	 * ショップパスワード取得
	 * @return string ショップパスワード
	 */
	public function getShopPass() {
		return $this->entryTranAupayAppInput->getShopPass();

	}
	/**
	 * オーダーID取得
	 * @return string オーダーID
	 */
	public function getOrderID() {
		return $this->entryTranAupayAppInput->getOrderID();

	}
	/**
	 * 処理区分取得
	 * @return string 処理区分
	 */
	public function getJobCd() {
		return $this->entryTranAupayAppInput->getJobCd();
	}
	/**
	 * 利用金額取得
	 * @return integer 利用金額
	 */
	public function getAmount() {
		return $this->entryTranAupayAppInput->getAmount();
	}
	/**
	 * 税送料取得
	 * @return integer 税送料
	 */
	public function getTax() {
		return $this->entryTranAupayAppInput->getTax();
	}
	/**
	 * 決済タイプ取得
	 * @return string 決済タイプ
	 */
	public function getPaymentType() {
		return $this->entryTranAupayAppInput->getPaymentType();
	}
	/**
	 * 取引ID取得
	 * @return string 取引ID
	 */
	public function getAccessID() {
		return $this->execTranAupayAppInput->getAccessID();
	}
	/**
	 * 取引パスワード取得
	 * @return string 取引パスワード
	 */
	public function getAccessPass() {
		return $this->execTranAupayAppInput->getAccessPass();
	}
	/**
	 * 摘要取得
	 * @return string 摘要
	 */
	public function getCommodity() {
		return $this->execTranAupayAppInput->getCommodity();
	}
	/**
	 * 加盟店自由項目1取得
	 * @return string 加盟店自由項目1
	 */
	public function getClientField1() {
		return $this->execTranAupayAppInput->getClientField1();
	}
	/**
	 * 加盟店自由項目2取得
	 * @return string 加盟店自由項目2
	 */
	public function getClientField2() {
		return $this->execTranAupayAppInput->getClientField2();
	}
	/**
	 * 加盟店自由項目3取得
	 * @return string 加盟店自由項目3
	 */
	public function getClientField3() {
		return $this->execTranAupayAppInput->getClientField3();
	}
	/**
	 * au承諾番号取得
	 * @return string au承諾番号
	 */
	public function getAuAcceptCode() {
		return $this->execTranAupayAppInput->getAuAcceptCode();
	}

	/**
	 * au PAY（アプリ方式）取引登録入力パラメータ設定
	 *
	 * @param EntryTranAupayAppInput entryTranAupayAppInput  取引登録入力パラメータ
	 */
	public function setEntryTranAupayAppInput(&$entryTranAupayAppInput) {
		$this->entryTranAupayAppInput = $entryTranAupayAppInput;
	}

	/**
	 * au PAY（アプリ方式）実行入力パラメータ設定
	 *
	 * @param ExecTranAupayAppInput  execTranAupayAppInput   決済実行入力パラメータ
	 */
	public function setExecTranAupayAppInput(&$execTranAupayAppInput) {
		$this->execTranAupayAppInput = $execTranAupayAppInput;
	}

	/**
	 * ショップID設定
	 *
	 * @param string $shopID
	 */
	public function setShopID($shopID) {
		$this->entryTranAupayAppInput->setShopID($shopID);
		$this->execTranAupayAppInput->setShopID($shopID);

	}
	/**
	 * ショップパスワード設定
	 *
	 * @param string $shopPass
	 */
	public function setShopPass($shopPass) {
		$this->entryTranAupayAppInput->setShopPass($shopPass);
		$this->execTranAupayAppInput->setShopPass($shopPass);

	}
	/**
	 * オーダーID設定
	 *
	 * @param string $orderID
	 */
	public function setOrderID($orderID) {
		$this->entryTranAupayAppInput->setOrderID($orderID);
		$this->execTranAupayAppInput->setOrderID($orderID);

	}
	/**
	 * 処理区分設定
	 *
	 * @param string $jobCd
	 */
	public function setJobCd($jobCd) {
		$this->entryTranAupayAppInput->setJobCd($jobCd);
	}
	/**
	 * 利用金額設定
	 *
	 * @param integer $amount
	 */
	public function setAmount($amount) {
		$this->entryTranAupayAppInput->setAmount($amount);
	}
	/**
	 * 税送料設定
	 *
	 * @param integer $tax
	 */
	public function setTax($tax) {
		$this->entryTranAupayAppInput->setTax($tax);
	}
	/**
	 * 決済タイプ設定
	 *
	 * @param string $paymentType
	 */
	public function setPaymentType($paymentType) {
		$this->entryTranAupayAppInput->setPaymentType($paymentType);
	}
	/**
	 * 取引ID設定
	 *
	 * @param string $accessID
	 */
	public function setAccessID($accessID) {
		$this->execTranAupayAppInput->setAccessID($accessID);
	}
	/**
	 * 取引パスワード設定
	 *
	 * @param string $accessPass
	 */
	public function setAccessPass($accessPass) {
		$this->execTranAupayAppInput->setAccessPass($accessPass);
	}
	/**
	 * 摘要設定
	 *
	 * @param string $commodity
	 */
	public function setCommodity($commodity) {
		$this->execTranAupayAppInput->setCommodity($commodity);
	}
	/**
	 * 加盟店自由項目1設定
	 *
	 * @param string $clientField1
	 */
	public function setClientField1($clientField1) {
		$this->execTranAupayAppInput->setClientField1($clientField1);
	}
	/**
	 * 加盟店自由項目2設定
	 *
	 * @param string $clientField2
	 */
	public function setClientField2($clientField2) {
		$this->execTranAupayAppInput->setClientField2($clientField2);
	}
	/**
	 * 加盟店自由項目3設定
	 *
	 * @param string $clientField3
	 */
	public function setClientField3($clientField3) {
		$this->execTranAupayAppInput->setClientField3($clientField3);
	}
	/**
	 * au承諾番号設定
	 *
	 * @param string $auAcceptCode
	 */
	public function setAuAcceptCode($auAcceptCode) {
		$this->execTranAupayAppInput->setAuAcceptCode($auAcceptCode);
	}

}
?>
