<?php
require_once ('com/gmo_pg/client/input/BaseInput.php');
/**
 * <b>Paypal利用承諾終了　入力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage input
 * @see inputPackageInfo.php
 * @author GMO PaymentGateway
 */
class PaypalAcceptEndInput extends BaseInput {
    
    /**
     * @var string 取引ID
     */
    private $accessId;
    /**
     * @var string 取引パスワード
     */
    private $accessPass;
	/**
	 * @var string ショップID
	 */
	private $shopId;
	/**
	 * @var string ショップパスワード
	 */
	private $shopPass;
	/**
	 * @var string オーダーID
	 */
	private $orderId;
	/**
	 * @var string 	支払同意ID
	 */
	private $paypalBillingAgreementId;


	/**
	 * コンストラクタ
	 *
	 * @param array $params 入力パラメータ
	 */
	public function __construct($params = null) {
		parent::__construct($params);
	}


	/**
	 * 取引ID取得
	 * @return string 取引ID
	 */
	public function getAccessId() {
		return $this->accessId;
	}
	/**
	 * 取引パスワード取得
	 * @return string 取引パスワード
	 */
	public function getAccessPass() {
		return $this->accessPass;
	}
	/**
	 * ショップID取得
	 * @return string ショップID
	 */
	public function getShopId() {
	    return $this->shopId;
	}
	/**
	 * ショップパスワード取得
	 * @return string ショップパスワード
	 */
	public function getShopPass() {
	    return $this->shopPass;
	}
	/**
	 * オーダーID取得
	 * @return string オーダーID
	 */
	public function getOrderId() {
		return $this->orderId;
	}
	/**
	 * 支払同意ID
	 * @return string 支払同意ID
	 */
	public function getPaypalBillingAgreementId() {
		return $this->paypalBillingAgreementId;
	}

	/**
	 * 取引ID設定
	 *
	 * @param string $accessId
	 */
	public function setAccessId($accessId) {
		$this->accessId = $accessId;
	}
	/**
	 * 取引パスワード設定
	 *
	 * @param string $accessPass
	 */
	public function setAccessPass($accessPass) {
		$this->accessPass = $accessPass;
	}
	/**
	 * ショップID設定
	 *
	 * @param string $shopId
	 */
	public function setShopId($shopId) {
	    $this->shopId = $shopId;
	}
	/**
	 * ショップパスワード設定
	 *
	 * @param string $shopPass
	 */
	public function setShopPass($shopPass) {
	    $this->shopPass = $shopPass;
	}
	/**
	 * オーダーID設定
	 *
	 * @param string $orderId
	 */
	public function setOrderId($orderId) {
		$this->orderId = $orderId;
	}
	/**
	 * 支払同意ID設定
	 *
	 * @param string $paypalBillingAgreementId
	 */
	public function setPaypalBillingAgreementId($paypalBillingAgreementId) {
		$this->paypalBillingAgreementId = $paypalBillingAgreementId;
	}


	/**
	 * デフォルト値設定
	 */
	public function setDefaultValues() {

	}

	/**
	 * 入力パラメータ群の値を設定する
	 *
	 * @param IgnoreCaseMap $params 入力パラメータ
	 */
	public function setInputValues($params) {
		// 入力パラメータがnullの場合は設定処理を行わない
	    if (is_null($params)) {
	        return;
	    }

		$this->setAccessId($this->getStringValue($params, 'AccessID', $this->getAccessId()));
		$this->setAccessPass($this->getStringValue($params, 'AccessPass', $this->getAccessPass()));
		$this->setShopId($this->getStringValue($params, 'ShopID', $this->getShopId()));
		$this->setShopPass($this->getStringValue($params, 'ShopPass', $this->getShopPass()));
		$this->setOrderId($this->getStringValue($params, 'OrderID', $this->getOrderId()));
		$this->setPaypalBillingAgreementId($this->getStringValue($params, 'PaypalBillingAgreementID', $this->getPaypalBillingAgreementId()));

	}

	/**
	 * 文字列表現
	 * @return string 接続文字列表現
	 */
	public function toString() {
		$str ='';
		$str .= 'AccessID=' . $this->encodeStr($this->getAccessId());
		$str .='&';
		$str .= 'AccessPass=' . $this->encodeStr($this->getAccessPass());
		$str .='&';
		$str .= 'ShopID=' . $this->encodeStr($this->getShopId());
		$str .='&';
		$str .= 'ShopPass=' . $this->encodeStr($this->getShopPass());
		$str .='&';
		$str .= 'OrderID=' . $this->encodeStr($this->getOrderId());
		$str .='&';
		$str .= 'PaypalBillingAgreementID=' . $this->encodeStr($this->getPaypalBillingAgreementId());

	    return $str;
	}


}
?>
