<?php
require_once ('com/gmo_pg/client/input/BaseInput.php');
/**
 * <b>多通貨クレジット決済（DCC)3DS2.0認証実行　入力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage input
 * @see inputPackageInfo.php
 * @author GMO PaymentGateway
 */
class Tds2AuthDccInput extends BaseInput {
    
    /**
     * @var string 取引ID
     */
    private $accessID;
    /**
     * @var string 取引パスワード
     */
    private $accessPass;
    /**
     * @var string 3DS2.0認証パラメータ
     */
    private $tds2Param;
    
    
    /**
     * コンストラクタ
     *
     * @param array $params 入力パラメータ
     */
    public function __construct($params = null) {
        parent::__construct($params);
    }
    
    
    /**
     * 取引ID取得
     * @return string 取引ID
     */
    public function getAccessID() {
        return $this->accessID;
    }
    /**
     * 取引パスワード取得
     * @return string 取引パスワード
     */
    public function getAccessPass() {
        return $this->accessPass;
    }
    /**
     * 3DS2.0認証パラメータ取得
     * @return string 3DS2.0認証パラメータ
     */
    public function getTds2Param() {
        return $this->tds2Param;
    }
    
    /**
     * 取引ID設定
     *
     * @param string $accessID
     */
    public function setAccessID($accessID) {
        $this->accessID = $accessID;
    }
    /**
     * 取引パスワード設定
     *
     * @param string $accessPass
     */
    public function setAccessPass($accessPass) {
        $this->accessPass = $accessPass;
    }
    /**
     * 3DS2.0認証パラメータ設定
     *
     * @param string $tds2Param
     */
    public function setTds2Param($tds2Param) {
        $this->tds2Param = $tds2Param;
    }
    
    
    /**
     * デフォルト値設定
     */
    public function setDefaultValues() {
        
    }
    
    /**
     * 入力パラメータ群の値を設定する
     *
     * @param IgnoreCaseMap $params 入力パラメータ
     */
    public function setInputValues($params) {
        // 入力パラメータがnullの場合は設定処理を行わない
        if (is_null($params)) {
            return;
        }
        
        $this->setAccessID($this->getStringValue($params, 'AccessID', $this->getAccessID()));
        $this->setAccessPass($this->getStringValue($params, 'AccessPass', $this->getAccessPass()));
        $this->setTds2Param($this->getStringValue($params, 'Tds2Param', $this->getTds2Param()));
        
    }
    
    /**
     * 文字列表現
     * @return string 接続文字列表現
     */
    public function toString() {
        $str ='';
        $str .= 'AccessID=' . $this->encodeStr($this->getAccessID());
        $str .='&';
        $str .= 'AccessPass=' . $this->encodeStr($this->getAccessPass());
        $str .='&';
        $str .= 'Tds2Param=' . $this->encodeStr($this->getTds2Param());
        
        return $str;
    }
    
    
}
?>
    