<?php
require_once 'com/gmo_pg/client/output/EntryTranAupayAppAcceptOutput.php';
require_once 'com/gmo_pg/client/output/ExecTranAupayAppAcceptOutput.php';
/**
 * <b>au PAY（アプリ方式）（随時決済承諾）登録・決済一括実行  出力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage output
 * @see outputPackageInfo.php
 * @author GMO PaymentGateway
 */
class EntryExecTranAupayAppAcceptOutput {

	/**
	 * @var EntryTranAupayAppAcceptOutput au PAY（アプリ方式）（随時決済承諾）登録出力パラメータ
	 */
	private $entryTranAupayAppAcceptOutput;/*@var $entryTranAupayAppAcceptOutput EntryTranAupayAppAcceptOutput */

	/**
	 * @var ExecTranAupayAppAcceptOutput au PAY（アプリ方式）（随時決済承諾）実行出力パラメータ
	 */
	private $execTranAupayAppAcceptOutput;/*@var $execTranAupayAppAcceptOutput ExecTranAupayAppAcceptOutput */

	/**
	 * コンストラクタ
	 *
	 * @param IgnoreCaseMap $params    入力パラメータ
	 */
	public function __construct($params = null) {
		$this->entryTranAupayAppAcceptOutput = new EntryTranAupayAppAcceptOutput($params);
		$this->execTranAupayAppAcceptOutput = new ExecTranAupayAppAcceptOutput($params);
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）登録出力パラメータ取得
	 * @return EntryTranAupayAppAcceptOutput au PAY（アプリ方式）（随時決済承諾）登録出力パラメータ
	 */
	public function &getEntryTranAupayAppAcceptOutput() {
		return $this->entryTranAupayAppAcceptOutput;
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）実行出力パラメータ取得
	 * @return ExecTranAupayAppAcceptOutput au PAY（アプリ方式）（随時決済承諾）実行出力パラメータ
	 */
	public function &getExecTranAupayAppAcceptOutput() {
		return $this->execTranAupayAppAcceptOutput;
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）登録出力パラメータ設定
	 *
	 * @param EntryTranAupayAppAcceptOutput  $entryTranAupayAppAcceptOutput au PAY（アプリ方式）（随時決済承諾）登録出力パラメータ
	 */
	public function setEntryTranAupayAppAcceptOutput(&$entryTranAupayAppAcceptOutput) {
		$this->entryTranAupayAppAcceptOutput = $entryTranAupayAppAcceptOutput;
	}

	/**
	 * au PAY（アプリ方式）（随時決済承諾）決済実行出力パラメータ設定
	 *
	 * @param ExecTranAupayAppAcceptOutput $execTranAupayAppAcceptOutput au PAY（アプリ方式）（随時決済承諾）実行出力パラメータ
	 */
	public function setExecTranAupayAppAcceptOutput(&$execTranAupayAppAcceptOutput) {
		$this->execTranAupayAppAcceptOutput = $execTranAupayAppAcceptOutput;
	}

	/**
	 * 取引ID取得
	 * @return string 取引ID
	 */
	public function getAccessID() {
		return $this->entryTranAupayAppAcceptOutput->getAccessID();

	}
	/**
	 * 取引パスワード取得
	 * @return string 取引パスワード
	 */
	public function getAccessPass() {
		return $this->entryTranAupayAppAcceptOutput->getAccessPass();

	}
	/**
	 * トークン取得
	 * @return string トークン
	 */
	public function getToken() {
		return $this->execTranAupayAppAcceptOutput->getToken();

	}
	/**
	 * 利用承諾決済開始IFのURL取得
	 * @return string 利用承諾決済開始IFのURL
	 */
	public function getStartURL() {
		return $this->execTranAupayAppAcceptOutput->getStartURL();

	}

	/**
	 * 取引ID設定
	 *
	 * @param string $accessID
	 */
	public function setAccessID($accessID) {
		$this->entryTranAupayAppAcceptOutput->setAccessID($accessID);
		$this->execTranAupayAppAcceptOutput->setAccessID($accessID);

	}
	/**
	 * 取引パスワード設定
	 *
	 * @param string $accessPass
	 */
	public function setAccessPass($accessPass) {
		$this->entryTranAupayAppAcceptOutput->setAccessPass($accessPass);

	}
	/**
	 * トークン設定
	 *
	 * @param string $token
	 */
	public function setToken($token) {
		$this->execTranAupayAppAcceptOutput->setToken($token);

	}
	/**
	 * 利用承諾決済開始IFのURL設定
	 *
	 * @param string $startURL
	 */
	public function setStartURL($startURL) {
		$this->execTranAupayAppAcceptOutput->setStartURL($startURL);

	}

	/**
	 * 取引登録エラーリスト取得
	 * @return  array エラーリスト
	 */
	public function &getEntryErrList() {
		return $this->entryTranAupayAppAcceptOutput->getErrList();
	}

	/**
	 * 決済実行エラーリスト取得
	 * @return array エラーリスト
	 */
	public function &getExecErrList() {
		return $this->execTranAupayAppAcceptOutput->getErrList();
	}

	/**
	 * 取引登録エラー発生判定
	 * @return boolean 取引登録時エラー有無(true=エラー発生)
	 */
	public function isEntryErrorOccurred() {
		$entryErrList =& $this->entryTranAupayAppAcceptOutput->getErrList();
		return 0 < count($entryErrList);
	}

	/**
	 * 決済実行エラー発生判定
	 * @return boolean 決済実行時エラー有無(true=エラー発生)
	 */
	public function isExecErrorOccurred() {
		$execErrList =& $this->execTranAupayAppAcceptOutput->getErrList();
		return 0 < count($execErrList);
	}

	/**
	 * エラー発生判定
	 * @return boolean エラー発生有無(true=エラー発生)
	 */
	public function isErrorOccurred() {
		return $this->isEntryErrorOccurred() || $this->isExecErrorOccurred();
	}

}
?>
