<?php
require_once 'com/gmo_pg/client/output/EntryTranAupayAppOutput.php';
require_once 'com/gmo_pg/client/output/ExecTranAupayAppOutput.php';
/**
 * <b>au PAY（アプリ方式）登録・決済一括実行  出力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage output
 * @see outputPackageInfo.php
 * @author GMO PaymentGateway
 */
class EntryExecTranAupayAppOutput {

	/**
	 * @var EntryTranAupayAppOutput au PAY（アプリ方式）登録出力パラメータ
	 */
	private $entryTranAupayAppOutput;/*@var $entryTranAupayAppOutput EntryTranAupayAppOutput */

	/**
	 * @var ExecTranAupayAppOutput au PAY（アプリ方式）実行出力パラメータ
	 */
	private $execTranAupayAppOutput;/*@var $execTranAupayAppOutput ExecTranAupayAppOutput */

	/**
	 * コンストラクタ
	 *
	 * @param IgnoreCaseMap $params    入力パラメータ
	 */
	public function __construct($params = null) {
		$this->entryTranAupayAppOutput = new EntryTranAupayAppOutput($params);
		$this->execTranAupayAppOutput = new ExecTranAupayAppOutput($params);
	}

	/**
	 * au PAY（アプリ方式）登録出力パラメータ取得
	 * @return EntryTranAupayAppOutput au PAY（アプリ方式）登録出力パラメータ
	 */
	public function &getEntryTranAupayAppOutput() {
		return $this->entryTranAupayAppOutput;
	}

	/**
	 * au PAY（アプリ方式）実行出力パラメータ取得
	 * @return ExecTranAupayAppOutput au PAY（アプリ方式）実行出力パラメータ
	 */
	public function &getExecTranAupayAppOutput() {
		return $this->execTranAupayAppOutput;
	}

	/**
	 * au PAY（アプリ方式）登録出力パラメータ設定
	 *
	 * @param EntryTranAupayAppOutput  $entryTranAupayAppOutput au PAY（アプリ方式）登録出力パラメータ
	 */
	public function setEntryTranAupayAppOutput(&$entryTranAupayAppOutput) {
		$this->entryTranAupayAppOutput = $entryTranAupayAppOutput;
	}

	/**
	 * au PAY（アプリ方式）決済実行出力パラメータ設定
	 *
	 * @param ExecTranAupayAppOutput $execTranAupayAppOutput au PAY（アプリ方式）実行出力パラメータ
	 */
	public function setExecTranAupayAppOutput(&$execTranAupayAppOutput) {
		$this->execTranAupayAppOutput = $execTranAupayAppOutput;
	}

	/**
	 * 取引ID取得
	 * @return string 取引ID
	 */
	public function getAccessID() {
		return $this->entryTranAupayAppOutput->getAccessID();

	}
	/**
	 * 取引パスワード取得
	 * @return string 取引パスワード
	 */
	public function getAccessPass() {
		return $this->entryTranAupayAppOutput->getAccessPass();

	}
	/**
	 * オーダーID取得
	 * @return string オーダーID
	 */
	public function getOrderID() {
		return $this->execTranAupayAppOutput->getOrderID();

	}
	/**
	 * 現状態取得
	 * @return string 現状態
	 */
	public function getStatus() {
		return $this->execTranAupayAppOutput->getStatus();

	}
	/**
	 * 処理日時取得
	 * @return string 処理日時
	 */
	public function getTranDate() {
		return $this->execTranAupayAppOutput->getTranDate();

	}
	/**
	 * au伝票番号取得
	 * @return string au伝票番号
	 */
	public function getAupayAppVoucherNo() {
		return $this->execTranAupayAppOutput->getAupayAppVoucherNo();

	}
	/**
	 * 改ざんチェック文字列取得
	 * @return string 改ざんチェック文字列
	 */
	public function getCheckString() {
		return $this->execTranAupayAppOutput->getCheckString();

	}
	/**
	 * QRコード用ワンタイムコード取得
	 * @return string QRコード用ワンタイムコード
	 */
	public function getOneTimeQRCode() {
		return $this->execTranAupayAppOutput->getOneTimeQRCode();

	}
	/**
	 * GW事業者コード取得
	 * @return string GW事業者コード
	 */
	public function getGwJgyshaCd() {
		return $this->execTranAupayAppOutput->getGwJgyshaCd();

	}
	/**
	 * シーケンス番号取得
	 * @return string シーケンス番号
	 */
	public function getSeqNo() {
		return $this->execTranAupayAppOutput->getSeqNo();

	}

	/**
	 * 取引ID設定
	 *
	 * @param string $accessID
	 */
	public function setAccessID($accessID) {
		$this->entryTranAupayAppOutput->setAccessID($accessID);

	}
	/**
	 * 取引パスワード設定
	 *
	 * @param string $accessPass
	 */
	public function setAccessPass($accessPass) {
		$this->entryTranAupayAppOutput->setAccessPass($accessPass);

	}
	/**
	 * オーダーID設定
	 *
	 * @param string $orderID
	 */
	public function setOrderID($orderID) {
		$this->execTranAupayAppOutput->setOrderID($orderID);

	}
	/**
	 * 現状態設定
	 *
	 * @param string $status
	 */
	public function setStatus($status) {
		$this->execTranAupayAppOutput->setStatus($status);

	}
	/**
	 * 処理日時設定
	 *
	 * @param string $tranDate
	 */
	public function setTranDate($tranDate) {
		$this->execTranAupayAppOutput->setTranDate($tranDate);

	}
	/**
	 * au伝票番号設定
	 *
	 * @param string $aupayAppVoucherNo
	 */
	public function setAupayAppVoucherNo($aupayAppVoucherNo) {
		$this->execTranAupayAppOutput->setAupayAppVoucherNo($aupayAppVoucherNo);

	}
	/**
	 * 改ざんチェック文字列設定
	 *
	 * @param string $checkString
	 */
	public function setCheckString($checkString) {
		$this->execTranAupayAppOutput->setCheckString($checkString);

	}
	/**
	 * QRコード用ワンタイムコード設定
	 *
	 * @param string $oneTimeQRCode
	 */
	public function setOneTimeQRCode($oneTimeQRCode) {
		$this->execTranAupayAppOutput->setOneTimeQRCode($oneTimeQRCode);

	}
	/**
	 * GW事業者コード設定
	 *
	 * @param string $gwJgyshaCd
	 */
	public function setGwJgyshaCd($gwJgyshaCd) {
		$this->execTranAupayAppOutput->setGwJgyshaCd($gwJgyshaCd);

	}
	/**
	 * シーケンス番号設定
	 *
	 * @param string $seqNo
	 */
	public function setSeqNo($seqNo) {
		$this->execTranAupayAppOutput->setSeqNo($seqNo);

	}

	/**
	 * 取引登録エラーリスト取得
	 * @return  array エラーリスト
	 */
	public function &getEntryErrList() {
		return $this->entryTranAupayAppOutput->getErrList();
	}

	/**
	 * 決済実行エラーリスト取得
	 * @return array エラーリスト
	 */
	public function &getExecErrList() {
		return $this->execTranAupayAppOutput->getErrList();
	}

	/**
	 * 取引登録エラー発生判定
	 * @return boolean 取引登録時エラー有無(true=エラー発生)
	 */
	public function isEntryErrorOccurred() {
		$entryErrList =& $this->entryTranAupayAppOutput->getErrList();
		return 0 < count($entryErrList);
	}

	/**
	 * 決済実行エラー発生判定
	 * @return boolean 決済実行時エラー有無(true=エラー発生)
	 */
	public function isExecErrorOccurred() {
		$execErrList =& $this->execTranAupayAppOutput->getErrList();
		return 0 < count($execErrList);
	}

	/**
	 * エラー発生判定
	 * @return boolean エラー発生有無(true=エラー発生)
	 */
	public function isErrorOccurred() {
		return $this->isEntryErrorOccurred() || $this->isExecErrorOccurred();
	}

}
?>
