<?php
require_once ('com/gmo_pg/client/output/BaseOutput.php');
/**
 * <b>au PAY（アプリ方式）決済実行　出力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage output
 * @see outputPackageInfo.php
 * @author GMO PaymentGateway
 */
class ExecTranAupayAppOutput extends BaseOutput {

	/**
	 * @var string オーダーID
	 */
	private $orderID;
	/**
	 * @var string 現状態
	 */
	private $status;
	/**
	 * @var string 処理日時
	 */
	private $tranDate;
	/**
	 * @var string au伝票番号
	 */
	private $aupayAppVoucherNo;
	/**
	 * @var string 改ざんチェック文字列
	 */
	private $checkString;
	/**
	 * @var string QRコード用ワンタイムコード
	 */
	private $oneTimeQRCode;
	/**
	 * @var string GW事業者コード
	 */
	private $gwJgyshaCd;
	/**
	 * @var string シーケンス番号
	 */
	private $seqNo;


	/**
	 * コンストラクタ
	 *
	 * @param IgnoreCaseMap $params  出力パラメータ
	 */
	public function __construct($params = null) {
		parent::__construct($params);

		// 引数が無い場合は戻る
		if (is_null($params)) {
            return;
        }

        // マップの展開
		$this->setOrderID($params->get('OrderID'));
		$this->setStatus($params->get('Status'));
		$this->setTranDate($params->get('TranDate'));
		$this->setAupayAppVoucherNo($params->get('AupayAppVoucherNo'));
		$this->setCheckString($params->get('CheckString'));
		$this->setOneTimeQRCode($params->get('OneTimeQRCode'));
		$this->setGwJgyshaCd($params->get('GwJgyshaCd'));
		$this->setSeqNo($params->get('SeqNo'));

	}

	/**
	 * オーダーID取得
	 * @return string オーダーID
	 */
	public function getOrderID() {
		return $this->orderID;
	}
	/**
	 * 現状態取得
	 * @return string 現状態
	 */
	public function getStatus() {
		return $this->status;
	}
	/**
	 * 処理日時取得
	 * @return string 処理日時
	 */
	public function getTranDate() {
		return $this->tranDate;
	}
	/**
	 * au伝票番号取得
	 * @return string au伝票番号
	 */
	public function getAupayAppVoucherNo() {
		return $this->aupayAppVoucherNo;
	}
	/**
	 * 改ざんチェック文字列取得
	 * @return string 改ざんチェック文字列
	 */
	public function getCheckString() {
		return $this->checkString;
	}
	/**
	 * QRコード用ワンタイムコード取得
	 * @return string QRコード用ワンタイムコード
	 */
	public function getOneTimeQRCode() {
		return $this->oneTimeQRCode;
	}
	/**
	 * GW事業者コード取得
	 * @return string GW事業者コード
	 */
	public function getGwJgyshaCd() {
		return $this->gwJgyshaCd;
	}
	/**
	 * シーケンス番号取得
	 * @return string シーケンス番号
	 */
	public function getSeqNo() {
		return $this->seqNo;
	}

	/**
	 * オーダーID設定
	 *
	 * @param string $orderID
	 */
	public function setOrderID($orderID) {
		$this->orderID = $orderID;
	}
	/**
	 * 現状態設定
	 *
	 * @param string $status
	 */
	public function setStatus($status) {
		$this->status = $status;
	}
	/**
	 * 処理日時設定
	 *
	 * @param string $tranDate
	 */
	public function setTranDate($tranDate) {
		$this->tranDate = $tranDate;
	}
	/**
	 * au伝票番号設定
	 *
	 * @param string $aupayAppVoucherNo
	 */
	public function setAupayAppVoucherNo($aupayAppVoucherNo) {
		$this->aupayAppVoucherNo = $aupayAppVoucherNo;
	}
	/**
	 * 改ざんチェック文字列設定
	 *
	 * @param string $checkString
	 */
	public function setCheckString($checkString) {
		$this->checkString = $checkString;
	}
	/**
	 * QRコード用ワンタイムコード設定
	 *
	 * @param string $oneTimeQRCode
	 */
	public function setOneTimeQRCode($oneTimeQRCode) {
		$this->oneTimeQRCode = $oneTimeQRCode;
	}
	/**
	 * GW事業者コード設定
	 *
	 * @param string $gwJgyshaCd
	 */
	public function setGwJgyshaCd($gwJgyshaCd) {
		$this->gwJgyshaCd = $gwJgyshaCd;
	}
	/**
	 * シーケンス番号設定
	 *
	 * @param string $seqNo
	 */
	public function setSeqNo($seqNo) {
		$this->seqNo = $seqNo;
	}

	/**
	 * 文字列表現
	 * <p>
	 *  現在の各パラメータを、パラメータ名=値&パラメータ名=値の形式で取得します。
	 * </p>
	 * @return string 出力パラメータの文字列表現
	 */
	public function toString() {
		$str ='';
		$str .= 'OrderID=' . $this->encodeStr($this->getOrderID());
		$str .='&';
		$str .= 'Status=' . $this->encodeStr($this->getStatus());
		$str .='&';
		$str .= 'TranDate=' . $this->encodeStr($this->getTranDate());
		$str .='&';
		$str .= 'AupayAppVoucherNo=' . $this->encodeStr($this->getAupayAppVoucherNo());
		$str .='&';
		$str .= 'CheckString=' . $this->encodeStr($this->getCheckString());
		$str .='&';
		$str .= 'OneTimeQRCode=' . $this->encodeStr($this->getOneTimeQRCode());
		$str .='&';
		$str .= 'GwJgyshaCd=' . $this->encodeStr($this->getGwJgyshaCd());
		$str .='&';
		$str .= 'SeqNo=' . $this->encodeStr($this->getSeqNo());


	    if ($this->isErrorOccurred()) {
            // エラー文字列を連結して返す
            $errString = parent::toString();
            $str .= '&' . $errString;
        }

        return $str;
	}

}
?>
