<?php
require_once ('com/gmo_pg/client/output/BaseOutput.php');
/**
 * <b>au PAY（アプリ方式）取引情報照会　出力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage output
 * @see outputPackageInfo.php
 * @author GMO PaymentGateway
 */
class SearchTradeAupayAppOutput extends BaseOutput {

	/**
	 * @var string 現状態
	 */
	private $status;
	/**
	 * @var string 処理日時
	 */
	private $processDate;
	/**
	 * @var string 処理区分
	 */
	private $jobCd;
	/**
	 * @var string 取引ID
	 */
	private $accessID;
	/**
	 * @var string 取引パスワード
	 */
	private $accessPass;
	/**
	 * @var integer 利用金額
	 */
	private $amount;
	/**
	 * @var integer 税送料
	 */
	private $tax;
	/**
	 * @var string 加盟店自由項目1
	 */
	private $clientField1;
	/**
	 * @var string 加盟店自由項目2
	 */
	private $clientField2;
	/**
	 * @var string 加盟店自由項目3
	 */
	private $clientField3;
	/**
	 * @var string 決済方法
	 */
	private $payType;
	/**
	 * @var string au支払予約時のトランザクションID
	 */
	private $aupayAppTranID;
	/**
	 * @var string au伝票番号
	 */
	private $aupayAppVoucherNo;
	/**
	 * @var string au支払予約時のシーケンス番号
	 */
	private $aupayAppSeqNo;
	/**
	 * @var integer キャンセル金額
	 */
	private $aupayAppCancelAmount;
	/**
	 * @var integer キャンセル税送料
	 */
	private $aupayAppCancelTax;
	/**
	 * @var integer 増額金額
	 */
	private $aupayAppIncreaseAmount;
	/**
	 * @var integer 増額税送料
	 */
	private $aupayAppIncreaseTax;


	/**
	 * コンストラクタ
	 *
	 * @param IgnoreCaseMap $params  出力パラメータ
	 */
	public function __construct($params = null) {
		parent::__construct($params);

		// 引数が無い場合は戻る
		if (is_null($params)) {
            return;
        }

        // マップの展開
		$this->setStatus($params->get('Status'));
		$this->setProcessDate($params->get('ProcessDate'));
		$this->setJobCd($params->get('JobCd'));
		$this->setAccessID($params->get('AccessID'));
		$this->setAccessPass($params->get('AccessPass'));
		$this->setAmount($params->get('Amount'));
		$this->setTax($params->get('Tax'));
		$this->setClientField1($params->get('ClientField1'));
		$this->setClientField2($params->get('ClientField2'));
		$this->setClientField3($params->get('ClientField3'));
		$this->setPayType($params->get('PayType'));
		$this->setAupayAppTranID($params->get('AupayAppTranID'));
		$this->setAupayAppVoucherNo($params->get('AupayAppVoucherNo'));
		$this->setAupayAppSeqNo($params->get('AupayAppSeqNo'));
		$this->setAupayAppCancelAmount($params->get('AupayAppCancelAmount'));
		$this->setAupayAppCancelTax($params->get('AupayAppCancelTax'));
		$this->setAupayAppIncreaseAmount($params->get('AupayAppIncreaseAmount'));
		$this->setAupayAppIncreaseTax($params->get('AupayAppIncreaseTax'));

	}

	/**
	 * 現状態取得
	 * @return string 現状態
	 */
	public function getStatus() {
		return $this->status;
	}
	/**
	 * 処理日時取得
	 * @return string 処理日時
	 */
	public function getProcessDate() {
		return $this->processDate;
	}
	/**
	 * 処理区分取得
	 * @return string 処理区分
	 */
	public function getJobCd() {
		return $this->jobCd;
	}
	/**
	 * 取引ID取得
	 * @return string 取引ID
	 */
	public function getAccessID() {
		return $this->accessID;
	}
	/**
	 * 取引パスワード取得
	 * @return string 取引パスワード
	 */
	public function getAccessPass() {
		return $this->accessPass;
	}
	/**
	 * 利用金額取得
	 * @return integer 利用金額
	 */
	public function getAmount() {
		return $this->amount;
	}
	/**
	 * 税送料取得
	 * @return integer 税送料
	 */
	public function getTax() {
		return $this->tax;
	}
	/**
	 * 加盟店自由項目1取得
	 * @return string 加盟店自由項目1
	 */
	public function getClientField1() {
		return $this->clientField1;
	}
	/**
	 * 加盟店自由項目2取得
	 * @return string 加盟店自由項目2
	 */
	public function getClientField2() {
		return $this->clientField2;
	}
	/**
	 * 加盟店自由項目3取得
	 * @return string 加盟店自由項目3
	 */
	public function getClientField3() {
		return $this->clientField3;
	}
	/**
	 * 決済方法取得
	 * @return string 決済方法
	 */
	public function getPayType() {
		return $this->payType;
	}
	/**
	 * au支払予約時のトランザクションID取得
	 * @return string au支払予約時のトランザクションID
	 */
	public function getAupayAppTranID() {
		return $this->aupayAppTranID;
	}
	/**
	 * au伝票番号取得
	 * @return string au伝票番号
	 */
	public function getAupayAppVoucherNo() {
		return $this->aupayAppVoucherNo;
	}
	/**
	 * au支払予約時のシーケンス番号取得
	 * @return string au支払予約時のシーケンス番号
	 */
	public function getAupayAppSeqNo() {
		return $this->aupayAppSeqNo;
	}
	/**
	 * キャンセル金額取得
	 * @return integer キャンセル金額
	 */
	public function getAupayAppCancelAmount() {
		return $this->aupayAppCancelAmount;
	}
	/**
	 * キャンセル税送料取得
	 * @return integer キャンセル税送料
	 */
	public function getAupayAppCancelTax() {
		return $this->aupayAppCancelTax;
	}
	/**
	 * 増額金額取得
	 * @return integer 増額金額
	 */
	public function getAupayAppIncreaseAmount() {
		return $this->aupayAppIncreaseAmount;
	}
	/**
	 * 増額税送料取得
	 * @return integer 増額税送料
	 */
	public function getAupayAppIncreaseTax() {
		return $this->aupayAppIncreaseTax;
	}

	/**
	 * 現状態設定
	 *
	 * @param string $status
	 */
	public function setStatus($status) {
		$this->status = $status;
	}
	/**
	 * 処理日時設定
	 *
	 * @param string $processDate
	 */
	public function setProcessDate($processDate) {
		$this->processDate = $processDate;
	}
	/**
	 * 処理区分設定
	 *
	 * @param string $jobCd
	 */
	public function setJobCd($jobCd) {
		$this->jobCd = $jobCd;
	}
	/**
	 * 取引ID設定
	 *
	 * @param string $accessID
	 */
	public function setAccessID($accessID) {
		$this->accessID = $accessID;
	}
	/**
	 * 取引パスワード設定
	 *
	 * @param string $accessPass
	 */
	public function setAccessPass($accessPass) {
		$this->accessPass = $accessPass;
	}
	/**
	 * 利用金額設定
	 *
	 * @param integer $amount
	 */
	public function setAmount($amount) {
		$this->amount = $amount;
	}
	/**
	 * 税送料設定
	 *
	 * @param integer $tax
	 */
	public function setTax($tax) {
		$this->tax = $tax;
	}
	/**
	 * 加盟店自由項目1設定
	 *
	 * @param string $clientField1
	 */
	public function setClientField1($clientField1) {
		$this->clientField1 = $clientField1;
	}
	/**
	 * 加盟店自由項目2設定
	 *
	 * @param string $clientField2
	 */
	public function setClientField2($clientField2) {
		$this->clientField2 = $clientField2;
	}
	/**
	 * 加盟店自由項目3設定
	 *
	 * @param string $clientField3
	 */
	public function setClientField3($clientField3) {
		$this->clientField3 = $clientField3;
	}
	/**
	 * 決済方法設定
	 *
	 * @param string $payType
	 */
	public function setPayType($payType) {
		$this->payType = $payType;
	}
	/**
	 * au支払予約時のトランザクションID設定
	 *
	 * @param string $aupayAppTranID
	 */
	public function setAupayAppTranID($aupayAppTranID) {
		$this->aupayAppTranID = $aupayAppTranID;
	}
	/**
	 * au伝票番号設定
	 *
	 * @param string $aupayAppVoucherNo
	 */
	public function setAupayAppVoucherNo($aupayAppVoucherNo) {
		$this->aupayAppVoucherNo = $aupayAppVoucherNo;
	}
	/**
	 * au支払予約時のシーケンス番号設定
	 *
	 * @param string $aupayAppSeqNo
	 */
	public function setAupayAppSeqNo($aupayAppSeqNo) {
		$this->aupayAppSeqNo = $aupayAppSeqNo;
	}
	/**
	 * キャンセル金額設定
	 *
	 * @param integer $aupayAppCancelAmount
	 */
	public function setAupayAppCancelAmount($aupayAppCancelAmount) {
		$this->aupayAppCancelAmount = $aupayAppCancelAmount;
	}
	/**
	 * キャンセル税送料設定
	 *
	 * @param integer $aupayAppCancelTax
	 */
	public function setAupayAppCancelTax($aupayAppCancelTax) {
		$this->aupayAppCancelTax = $aupayAppCancelTax;
	}
	/**
	 * 増額金額設定
	 *
	 * @param integer $aupayAppIncreaseAmount
	 */
	public function setAupayAppIncreaseAmount($aupayAppIncreaseAmount) {
		$this->aupayAppIncreaseAmount = $aupayAppIncreaseAmount;
	}
	/**
	 * 増額税送料設定
	 *
	 * @param integer $aupayAppIncreaseTax
	 */
	public function setAupayAppIncreaseTax($aupayAppIncreaseTax) {
		$this->aupayAppIncreaseTax = $aupayAppIncreaseTax;
	}

	/**
	 * 文字列表現
	 * <p>
	 *  現在の各パラメータを、パラメータ名=値&パラメータ名=値の形式で取得します。
	 * </p>
	 * @return string 出力パラメータの文字列表現
	 */
	public function toString() {
		$str ='';
		$str .= 'Status=' . $this->encodeStr($this->getStatus());
		$str .='&';
		$str .= 'ProcessDate=' . $this->encodeStr($this->getProcessDate());
		$str .='&';
		$str .= 'JobCd=' . $this->encodeStr($this->getJobCd());
		$str .='&';
		$str .= 'AccessID=' . $this->encodeStr($this->getAccessID());
		$str .='&';
		$str .= 'AccessPass=' . $this->encodeStr($this->getAccessPass());
		$str .='&';
		$str .= 'Amount=' . $this->encodeStr($this->getAmount());
		$str .='&';
		$str .= 'Tax=' . $this->encodeStr($this->getTax());
		$str .='&';
		$str .= 'ClientField1=' . $this->encodeStr($this->getClientField1());
		$str .='&';
		$str .= 'ClientField2=' . $this->encodeStr($this->getClientField2());
		$str .='&';
		$str .= 'ClientField3=' . $this->encodeStr($this->getClientField3());
		$str .='&';
		$str .= 'PayType=' . $this->encodeStr($this->getPayType());
		$str .='&';
		$str .= 'AupayAppTranID=' . $this->encodeStr($this->getAupayAppTranID());
		$str .='&';
		$str .= 'AupayAppVoucherNo=' . $this->encodeStr($this->getAupayAppVoucherNo());
		$str .='&';
		$str .= 'AupayAppSeqNo=' . $this->encodeStr($this->getAupayAppSeqNo());
		$str .='&';
		$str .= 'AupayAppCancelAmount=' . $this->encodeStr($this->getAupayAppCancelAmount());
		$str .='&';
		$str .= 'AupayAppCancelTax=' . $this->encodeStr($this->getAupayAppCancelTax());
		$str .='&';
		$str .= 'AupayAppIncreaseAmount=' . $this->encodeStr($this->getAupayAppIncreaseAmount());
		$str .='&';
		$str .= 'AupayAppIncreaseTax=' . $this->encodeStr($this->getAupayAppIncreaseTax());


	    if ($this->isErrorOccurred()) {
            // エラー文字列を連結して返す
            $errString = parent::toString();
            $str .= '&' . $errString;
        }

        return $str;
	}

}
?>
