<?php
require_once ('com/gmo_pg/client/output/BaseOutput.php');
/**
 * <b>多通貨クレジット決済（DCC)3DS2.0認証結果取　出力パラメータクラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage output
 * @see outputPackageInfo.php
 * @author GMO PaymentGateway
 */
class Tds2ResultDccOutput extends BaseOutput {
    
    /**
     * @var string 認証結果
     */
    private $tds2TransResult;
    /**
     * @var string 認証結果理由
     */
    private $tds2TransResultReason;
    /**
     * コンストラクタ
     *
     * @param IgnoreCaseMap $params  出力パラメータ
     */
    public function __construct($params = null) {
        parent::__construct($params);
        
        // 引数が無い場合は戻る
        if (is_null($params)) {
            return;
        }
        
        // マップの展開
        $this->setTds2TransResult($params->get('Tds2TransResult'));
        $this->setTds2TransResultReason($params->get('Tds2TransResultReason'));
        
    }
    
    /**
     * 認証結果取得
     * @return string 認証結果
     */
    public function getTds2TransResult() {
        return $this->tds2TransResult;
    }
    /**
     * 認証結果理由取得
     * @return string 認証結果理由
     */
    public function getTds2TransResultReason() {
        return $this->tds2TransResultReason;
    }
    /**
     * 認証結果設定
     *
     * @param string $tds2TransResult
     */
    public function setTds2TransResult($tds2TransResult) {
        $this->tds2TransResult = $tds2TransResult;
    }
    /**
     * 認証結果理由設定
     *
     * @param string $tds2TransResultReason
     */
    public function setTds2TransResultReason($tds2TransResultReason) {
        $this->tds2TransResultReason = $tds2TransResultReason;
    }

    /**
     * 文字列表現
     * <p>
     *  現在の各パラメータを、パラメータ名=値&パラメータ名=値の形式で取得します。
     * </p>
     * @return string 出力パラメータの文字列表現
     */
    public function toString() {
        $str ='';
        $str .= 'Tds2TransResult=' . $this->encodeStr($this->getTds2TransResult());
        $str .='&';
        $str .= 'Tds2TransResultReason=' . $this->encodeStr($this->getTds2TransResultReason());
        
        
        if ($this->isErrorOccurred()) {
            // エラー文字列を連結して返す
            $errString = parent::toString();
            $str .= '&' . $errString;
        }
        
        return $str;
    }
    
}
?>
    