<?php
require_once ('com/gmo_pg/client/common/Cryptgram.php');
require_once ('com/gmo_pg/client/common/GPayException.php');
require_once ('com/gmo_pg/client/output/PostpayReissueInvoiceOutput.php');
require_once ('com/gmo_pg/client/tran/BaseTran.php');
/**
 * <b>PS後払い請求書再発行申請　実行クラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage tran
 * @see tranPackageInfo.php
 * @author GMO PaymentGateway
 */
class PostpayReissueInvoice extends BaseTran {

	/**
	 * コンストラクタ
	 */
	public function __construct() {
	    parent::__construct();
	}

	/**
	 * 請求書再発行申請を実行する
	 *
	 * @param  PostpayReissueInvoiceInput $input  入力パラメータ
	 * @return PostpayReissueInvoiceOutput $output 出力パラメータ
	 * @exception GPayException
	 */
	public function exec(&$input) {

        // 接続しプロトコル呼び出し・結果取得
        $resultMap = $this->callProtocol($input->toString());
	    // 戻り値がnullの場合、nullを戻す
        if (is_null($resultMap)) {
		    return null;
        }

        // PostpayReissueInvoiceOutput作成し、戻す
	    return new PostpayReissueInvoiceOutput($resultMap);
	}
}
?>
