<?php
require_once ('com/gmo_pg/client/common/Cryptgram.php');
require_once ('com/gmo_pg/client/common/GPayException.php');
require_once ('com/gmo_pg/client/output/Tds2ResultOutput.php');
require_once ('com/gmo_pg/client/tran/BaseTran.php');
/**
 * <b>クレジットカード決済 3DS2.0認証結果取得　実行クラス</b>
 *
 * @package com.gmo_pg.client
 * @subpackage tran
 * @see tranPackageInfo.php
 * @author GMO PaymentGateway
 */
class Tds2Result extends BaseTran {

	/**
	 * コンストラクタ
	 */
	public function __construct() {
	    parent::__construct();
	}

	/**
	 * 3DS2.0認証結果取得を実行する
	 *
	 * @param  Tds2ResultInput $input  入力パラメータ
	 * @return Tds2ResultOutput $output 出力パラメータ
	 * @exception GPayException
	 */
	public function exec(&$input) {

        // 接続しプロトコル呼び出し・結果取得
        $resultMap = $this->callProtocol($input->toString());
	    // 戻り値がnullの場合、nullを戻す
        if (is_null($resultMap)) {
		    return null;
        }

        // Tds2ResultOutput作成し、戻す
        return new Tds2ResultOutput($resultMap);
	}
}
?>
